Bug 1623683 - [RFE] [TechPreview] Deploy separate stacks for control plane services and compute/storage services. (split-controlplane)
Summary: [RFE] [TechPreview] Deploy separate stacks for control plane services and com...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M2
: 15.0 (Stein)
Assignee: Emilien Macchi
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks: 1328124 1466008 1665046 1708795 1710426 1804899
TreeView+ depends on / blocked
 
Reported: 2018-08-29 21:05 UTC by James Slagle
Modified: 2020-02-19 20:23 UTC (History)
5 users (show)

Fixed In Version: openstack-tripleo-heat-templates-10.5.1-0.20190701110422.889d4d4.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1710426 (view as bug list)
Environment:
Last Closed: 2019-09-21 11:18:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 521928 0 'None' MERGED Add parameter ExtraHostFileEntries 2021-02-08 07:20:56 UTC
OpenStack gerrit 521929 0 'None' MERGED Add EndpointMapOverride parameter 2021-02-08 07:20:56 UTC
OpenStack gerrit 581080 0 'None' MERGED Add AllNodesExtraMapData parameter 2021-02-08 07:20:57 UTC
OpenStack gerrit 626563 0 'None' MERGED Add Distributed Compute roles 2021-02-08 07:20:57 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:13 UTC

Description James Slagle 2018-08-29 21:05:30 UTC
This feature will allow for deploying separate stacks in Director with the stacks split between control plane services and compute/storage services.

We'll need to be more specific at a later date around which services are exactly part of which stack. The initial thinking is that any non-API tenant consumed resource such as compute or storage resources would be separated in the compute stack.

This feature is commonly referred to as "split-controlplane".

There exists an initial upstream blueprint:

https://specs.openstack.org/openstack/tripleo-specs/specs/rocky/split-controlplane.html

As well as several existing patches that make this possible within tripleo-heat-templates today:

https://review.openstack.org/#/c/521929/
https://review.openstack.org/#/c/581080/
https://review.openstack.org/#/c/521928/

My initial notes on how to use the above 3 patches are at:
http://openstack.etherpad.corp.redhat.com/tripleo-compute-standalone


Remaining work items would include any API support via workflows and any CLI/UI support.

Additionally, there are upgrade impacts to consider as there are dependencies between the stacks.

Comment 7 errata-xmlrpc 2019-09-21 11:18:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.